{
  "criteria": {
    "trade_at_world_height": {
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "location": {
                "position": {
                  "y": {
                    "min": 319.0
                  }
                }
              }
            }
          }
        ]
      },
      "trigger": "minecraft:villager_trade"
    }
  },
  "requirements": [
    [
      "trade_at_world_height"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/trade_at_world_height"
  },
  "sends_telemetry_event": true
}